function onTalk()
	disableMovement()
	if getFlag("Solar") then
		playSound("event:/CC/CC_KoseiDiamond_sounds/freakoutDown")
	else
		playSound("event:/CC/CC_KoseiDiamond_sounds/freakoutUp")
	end
	setFlag("Solar", not getFlag("Solar"))
	setFlag("Nebula",false)
	setFlag("StarDust",false)
	setFlag("Vortex",false)
	wait(0.2)
	enableMovement()
end
